EyePoint S
==========

ПО для поиска неисправностей на печатных платах с использованием аналоговых сигнатурных анализаторов EyePoint IVM.
Может работать как с одним, так и с двумя устройствами.

Возможности
-----------

* Непрерывное измерение ВАХ с возможностью быстрой перестройки параметров измерителя.
* Сравнение ВАХ в реальном времени с двух каналов.
* Создание плана тестирования – файла с набором эталонных ВАХ, снятых для различных точек с заданными параметрами.
* Тестирование с использованием ранее созданного плана тестирования (с автоматической установкой параметров измерителя).
* Сохранение ВАХ в виде изображений


Быстрый запуск
--------------

1. Установите распространяемый пакет Visual C++ 2013. Файл инсталлятора vcredist_x86.exe находится в папке installers.
2. Установите Python 3.6 32-bit (установочные файлы для windows можно найти в папке installers)
   Важно! сразу после запуска инсталлятора нужно установить галочку Add Python 3.6 to PATH.
3. Установите необходимые пакеты Python. Для этого запустите скрипт install_python_packages.bat из папки с установочными файлами.
4. Подключите устройства к ПК и с помощью диспетчера устройств Windows определите номера соответствующих COM-портов. Если вы не видите в диспетчере устройств COM-портов, убедитесь, что Вы установили драйвер устройства EyePoint IVM. 
5. Полученные номера нужно вписать в файл start.bat. Для этого его нужно открыть в любом текстовом редакторе (например, в блокноте) и просто заменить COMx, на номер соответствующего порта (например, на COM10). Если Вы используете только одно устройство, во второй строке просто оставьте COMx.
6. Запустите файл start.bat.

Windows
-------
Запуск с подключенными устройствами EyePoint IVM: python -m eyepoint_s1 -a com:\\.\COM1 -b com:\\.\COM2
Вместо 1 и 2 нужно указать номера COM-портов устройств.
Номера COM портов можно посмотреть в диспетчере устройств Windows
Для запуска с одним устройством достаточно указать только один порт, а вместо второго адреса указать None.
Запуск ПО в виртуальном режиме: python -m eyepoint_s1 --no-sound -a virtual -b virtual

Дополнительные опции (дописываются к строке запуска):
--window embedded - запуск интерфейса, адаптированного под сенсорный экран
--screenshot-external-media-path _user - указание фиксированного пути для сохранения файлов
--en - английская версия интерфейса
--no-sound - отключение звука

Для сохранения скриншотов и эталонных плат нужно создать папку, которая будет содержать внутри себя ровно одну папку.
Верхнюю папку нужно передать в качестве аргумента командной строки --screenshot-external-media-path

Пример. 
Создаём папку С:\EyePoint\EyePoint_data
Параметр задаём так:
--screenshot-external-media-path="С:\EyePoint"

Linux
-----
Запуск с подключенным EyePoint: LD_PRELOAD=<Полный путь до библиотеки>/libivm.so python3 -m eyepoint_s1 -a com:///dev/ttyACM0 -b com:///dev/ttyACM1
Виртуальный режим:              LD_PRELOAD=<Полный путь до библиотеки>/libivm.so python3 start.py --no-sound -a virtual -b virtual
Номера COM портов можно посмотреть /dev





